# Get documents and photos with their type

There are two types of documents in Dashdoc :

* Documents generated by our solution.
  * These documents are found in the `documents` list in transports data. For example the CMR or the order confirmation document. . Every element of the list is a document, characterized by its `category` (`cmr` and `ldv` for CMRs, `rental` for rental order document, `orc` for Order confirmation, `chc` for Chartering confirmation, and `loading_plan` for loading plan) and the field `file` which is a link to the PDF document.
* Documents, including photos, added by Dashdoc users (through the mobile app, the web app or the API).
  * These are located in the `messages` list in transports data.
  * The `type` field indicates the nature of the document (possible values listed in the API reference).
  * The `document-type` field indicates the use of the document. Possibilities are:
    * CMR (`"document_type": "cmr"`). :warning: if a trucker uploads a photo of a CMR, it will appear here. This CMR will be the unique source of truth for the transport and the PDF document generated by Dashdoc will no longer appear in the `documents` section. There might be a photo uploaded after the pick-up and another after the delivery.
    * Delivery note (`"document_type": "delivery_note"`)
    * Transport order (`"document_type": "confirmation"`)
    * Weight note (`"document_type": "weight_note"`)
    * Invoice (`"document_type": "invoice"`)
    * Washing note (`"document_type": "washing_note"`)
    * Load photo (`"document_type": "load_photo"`)
    * Waste manifest (`"document_type": "waste_manifest"`)
    * Holders swap note (`"document_type": "holders_swap_note"`)
    * Other (`"document_type": ""`)
  * URL to the document file is in the `document` field.
  * ⚠️ Not every message contains a document, there are also messages with only text. Be careful to only import messages with a non-empty `document` field to retrieve photos.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/retrieve-transport-tracking-data/get-documents-and-photos-with-their-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
